﻿/*==================================================================================
PDFアイコン付加プラグイン
Editor Poundhound

■jQuryの呼び出し
<script type="text/javascript" src="http://www.google.com/jsapi"></script>
<script type="text/javascript">google.load("jquery", "1.2.6");</script>
<script type="text/javascript" src="js/jquery-addIcon.js"></script>

■仕様
#1 .addPdfIconのパラメータをbeforeにすると前に<span class="pdfBefore">&nbsp;</span>を付加
#2 .addPdfIconのパラメータをafterにすると後ろに<span class="pdfAfter">&nbsp;</span>を付加
#3 PDFにリンクしたaタグにclass="noIcon"を付加するとtarget="_blank"だけ付加(img要素にPDFファイルをリンクした場合などの対処用)
#4 クリックしたら別ウィンドウで開く

■HTMLコード例
#1 アイコン付加 <p><a href="hoge.pdf">PDFへのリンク</a></p>
#2 アイコン無し <a href="hoge.pdf" class="noIcon"><img src="btn_pdf.gif" alt="PDFリンクボタン" /></a>

■cssコード例
span.pdfAfter {
	padding: 0.1em 18px 0.1em 0;
	background: url(img/icon_pdf.gif) no-repeat right center;
}
span.pdfBefore {
	padding: 0.1em 0 0.1em 16px;
	background: url(img/icon_pdf.gif) no-repeat left center;
}
=====================================================================================*/

$.fn.extend(
{
	addPdfIcon: function(param)
	{
		var pdfElem = $(this);
		if(param == "after")
		{
			pdfElem.not(".noIcon").after("<span class='pdfAfter'>&nbsp;</span>");
		}
		else if (param == "before")
		{
			pdfElem.not(".noIcon").before("<span class='pdfBefore'>&nbsp;</span>");
		}
		pdfElem.click(function()
		{
			this.target = "_blank";
		});
	}
});
